import type { PropertyValues } from 'lit';
import { BaseFormAssociatedElement } from './form-associated-element';
export declare class WRadio extends BaseFormAssociatedElement {
    static css: import("lit").CSSResult[];
    checked: boolean;
    /** @internal Used by radio group to force disable radios while preserving their original disabled state. */
    forceDisabled: boolean;
    /**
     * The string pointing to a form's id.
     */
    form: string | null;
    /** The radio's value. When selected, the radio group will receive this value. */
    value: string;
    /** The radio's value. When selected, the radio group will receive this value. */
    appearance: 'default' | 'button' | 'clickable';
    /**
     * The radio's size. When used inside a radio group, the size will be determined by the radio group's size so this
     * attribute can typically be omitted.
     */
    size: 'small' | 'medium' | 'large';
    /** Disables the radio. */
    disabled: boolean;
    constructor();
    connectedCallback(): void;
    private setInitialAttributes;
    updated(changedProperties: PropertyValues<this>): void;
    /**
     * @override
     */
    setValue(): void;
    private handleClick;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'w-radio': WRadio;
    }
}
